#!/perl -w
# NAME: showalbumdat.pl
# AIM: To find the albums in a gallery photos.dat file ...
# 02/08/2007 - geoff mclane - http://geoffair.net/mperl ...
use strict;
use warnings;
use File::Basename;
require 'logfile.pl' or die "Unable to load logfile.pl ...\n";
# log file stuff
my ($LF);
my $outfile = 'temp.'.$0.'.txt';
if ($0 =~ /\w{1}:\\.*/) {
	my @tmpsp = split(/\\/,$0);
	$outfile = 'temp.'.($tmpsp[-1]).'.txt';
}
open_log($outfile);
prt( "$0 ... Hello, World ...\n" );

my $in_folder = 'C:/HOMEPAGE/NigelD/tomato/albums';
my @in_dirs = ();
my @in_files = ();
my @in_photodat = ();

# debug
my $dbg1 = 0;
my $dbg2 = 0;
my $dbg3 = 0;
my $dbg4 = 0;
my $dbg5 = 0;
my $dbg6 = 0;
my $dbg7 = 0;
my $dbg8 = 0;	# show FINDING ...

my @fpfolders = qw( _vti_cnf _vti_pvt _private _derived );
my @excluded = qw( .users homepagephotos );
my @lines = ();
my $lcnt = 0;
my $line = '';
my $clkcnt = 0;
my $albname = 0;
my $dirname = 0;
my $withsubs = 0;

my ($i, $i2, $fcnt, $dcnt, $fdcnt);
my $sample = 'a:15:{i:0;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";b:0;s:14:"highlightImage";N;s:11:"isAlbumName";s:21:"gitanos-almeria-spain";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:1;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";b:0;s:14:"highlightImage";N;s:11:"isAlbumName";s:14:"gypsies-france";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:2;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";b:0;s:14:"highlightImage";N;s:11:"isAlbumName";s:22:"romany-gypsies-england";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:3;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";b:0;s:14:"highlightImage";N;s:11:"isAlbumName";s:29:"romany-gypsies-exodus-balkans";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:4;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";b:1;s:14:"highlightImage";O:5:"image":12:{s:4:"name";s:39:"romany-refugees-across-europe.highlight";s:4:"type";s:3:"jpg";s:5:"width";i:300;s:6:"height";i:195;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:300;s:10:"raw_height";i:195;s:7:"version";i:31;}s:11:"isAlbumName";s:29:"romany-refugees-across-europe";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:5;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";b:0;s:14:"highlightImage";N;s:11:"isAlbumName";s:18:"Bucharest-Belgrade";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:6;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";b:0;s:14:"highlightImage";N;s:11:"isAlbumName";s:14:"Roma-recycling";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:7;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";s:12:"slovakiaroma";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:8;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";s:11:"finlandroma";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:9;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";s:9:"roma-lyon";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:10;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";s:16:"romaturkeygreece";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:11;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";s:10:"romapoland";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:12;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";s:19:"romatravellersforum";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:13;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";s:9:"romatexas";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:14;O:9:"albumitem":19:{s:5:"image";N;s:9:"thumbnail";N;s:7:"preview";N;s:7:"caption";N;s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";s:17:"romavilhelmcovaci";s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";N;s:15:"itemCaptureDate";N;s:8:"exifData";N;s:5:"owner";N;s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}}';
my $samp2 = 'a:34:{i:0;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"01_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:321;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:321;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"01_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:134;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:134;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"01.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";b:1;s:14:"highlightImage";O:5:"image":12:{s:4:"name";s:35:"01_Deforestation_S_E_Asia.highlight";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:134;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:134;s:7:"version";i:31;}s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367901;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:1;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"02_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:313;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:313;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"02_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:130;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:130;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"02.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367901;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:2;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"03_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:315;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:315;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"03_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:131;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:131;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"03.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367901;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:3;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"04_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:315;s:6:"height";i:480;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:315;s:10:"raw_height";i:480;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"04_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:131;s:6:"height";i:200;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:131;s:10:"raw_height";i:200;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"04.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367901;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:4;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"05_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:321;s:6:"height";i:480;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:321;s:10:"raw_height";i:480;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"05_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:134;s:6:"height";i:200;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:134;s:10:"raw_height";i:200;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"05.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367901;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:5;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"06_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:318;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:318;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"06_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:133;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:133;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"06.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367901;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:6;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"07_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:319;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:319;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"07_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:133;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:133;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"07.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367902;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:7;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"08_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:319;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:319;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"08_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:133;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:133;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"08.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367902;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:8;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"09_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:316;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:316;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"09_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:132;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:132;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"09.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367902;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:9;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"10_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:321;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:321;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"10_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:134;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:134;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"10.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367902;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:10;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"11_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:314;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:314;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"11_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:131;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:131;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"11.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367902;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:11;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"12_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:319;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:319;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"12_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:133;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:133;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"12.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367902;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:12;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"13_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:320;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:320;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"13_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:133;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:133;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"13.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367902;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:13;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"14_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:317;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:317;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"14_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:132;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:132;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"14.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367902;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:14;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"15_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:323;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:323;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"15_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:135;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:135;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"15.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367903;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:15;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"16_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:323;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:323;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"16_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:135;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:135;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"16.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367903;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:16;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"17_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:323;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:323;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"17_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:135;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:135;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"17.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367903;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:17;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"18_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:322;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:322;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"18_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:134;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:134;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"18.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367903;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:18;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"19_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:320;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:320;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"19_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:133;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:133;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"19.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367903;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:19;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"20_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:319;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:319;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"20_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:133;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:133;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"20.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367903;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:20;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"21_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:318;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:318;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"21_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:133;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:133;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"21.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367903;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:21;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"22_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:322;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:322;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"22_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:134;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:134;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"22.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367903;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:22;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"23_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:320;s:6:"height";i:480;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:320;s:10:"raw_height";i:480;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"23_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:133;s:6:"height";i:200;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:133;s:10:"raw_height";i:200;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"23.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367904;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:23;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"24_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:316;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:316;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"24_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:132;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:132;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"24.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367904;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:24;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"25_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:321;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:321;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"25_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:134;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:134;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"25.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367904;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:25;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"26_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:320;s:6:"height";i:480;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:320;s:10:"raw_height";i:480;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"26_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:133;s:6:"height";i:200;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:133;s:10:"raw_height";i:200;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"26.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367904;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:26;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"27_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:320;s:6:"height";i:480;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:320;s:10:"raw_height";i:480;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"27_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:133;s:6:"height";i:200;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:133;s:10:"raw_height";i:200;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"27.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367904;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:27;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"28_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:327;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:327;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"28_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:136;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:136;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"28.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367904;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:28;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"29_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:316;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:316;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"29_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:132;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:132;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"29.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367904;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:29;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"30_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:323;s:6:"height";i:480;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:323;s:10:"raw_height";i:480;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"30_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:135;s:6:"height";i:200;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:135;s:10:"raw_height";i:200;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"30.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367905;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:30;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"31_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:314;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:314;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"31_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:131;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:131;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"31.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367905;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:31;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"32_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:317;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:317;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"32_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:132;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:132;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"32.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367905;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:20;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367900;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:32;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"33_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:317;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:317;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"33_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:132;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:132;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"33.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367905;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:21;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367901;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}i:33;O:9:"albumitem":19:{s:5:"image";O:5:"image":12:{s:4:"name";s:25:"34_Deforestation_S_E_Asia";s:4:"type";s:3:"jpg";s:5:"width";i:480;s:6:"height";i:317;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:480;s:10:"raw_height";i:317;s:7:"version";i:31;}s:9:"thumbnail";O:5:"image":12:{s:4:"name";s:31:"34_Deforestation_S_E_Asia.thumb";s:4:"type";s:3:"jpg";s:5:"width";i:200;s:6:"height";i:132;s:11:"resizedName";N;s:7:"thumb_x";N;s:7:"thumb_y";N;s:11:"thumb_width";N;s:12:"thumb_height";N;s:9:"raw_width";i:200;s:10:"raw_height";i:132;s:7:"version";i:31;}s:7:"preview";N;s:7:"caption";s:25:"34.Deforestation S.E.Asia";s:6:"hidden";N;s:9:"highlight";N;s:14:"highlightImage";N;s:11:"isAlbumName";N;s:6:"clicks";N;s:8:"keywords";N;s:8:"comments";N;s:10:"uploadDate";i:1090367905;s:15:"itemCaptureDate";a:11:{s:7:"seconds";i:21;s:7:"minutes";i:58;s:5:"hours";i:16;s:4:"mday";i:20;s:4:"wday";i:2;s:3:"mon";s:2:"07";s:4:"year";i:2004;s:4:"yday";i:201;s:7:"weekday";s:7:"Tuesday";s:5:"month";s:4:"July";i:0;i:1090367901;}s:8:"exifData";N;s:5:"owner";s:21:"1090220171_1860875507";s:11:"extraFields";a:0:{}s:4:"rank";N;s:7:"version";i:31;s:7:"emailMe";N;}}';
my $ntxt = '';
if ($dbg2) {
	$ntxt = get_lines( $samp2 );
	prt( "$ntxt\n" ) if ($dbg1);
	$lcnt = scalar @lines;
	prt( "Got $lcnt lines ...\n" );
	for ($i = 0; $i < $lcnt; $i++) {
		$i2 = $i + 1;
		$line = $lines[$i];
		if ($line =~ /isAlbumName/) {
			$albname++;
			if ($i2 < $lcnt) {
				my $an = get_album_name($lines[$i2]);
				if (length($an)) {
					if ($an eq 'clicks') {
						$clkcnt++;
					} else {
						prt( "Album Name: $an ...\n" );
						$dirname++;
					}
				} else {
					prt( "Album Name: $lines[$i2] [$an] ...\n" );
				}
			} else {
				prt( "WARNING: Ablum Name is last entry!\n" );
			}
		}
	}
	prt( "Found $albname isAlbumName entries, $clkcnt just 'clicks', $dirname DIRECTORIES ...\n" );
	close_log($outfile,1);
	exit(0);
}

get_in_files( $in_folder );
$fcnt = scalar @in_files;
$dcnt = scalar @in_dirs;
prt( "In processing $in_folder got $dcnt directories, and $fcnt files ...\n" );
for ($i = 0; $i < $fcnt; $i++) {
	$line = $in_files[$i][0];
	if (is_photos_dat($line)) {
		push(@in_photodat, [$line, '', 0]);
	}
}
$fdcnt = scalar @in_photodat;
prt( "Got $fdcnt photos.dat files ...\n" );
for (my $j = 0; $j < $fdcnt; $j++) {
	my $fil = $in_photodat[$j][0];
	my $sfil = substr($fil, (length($in_folder) + 1));
	if (open INF, "<$fil") {
		my @lns = <INF>;
		close INF;
		@lines = ();
		$ntxt = get_lines( join('', @lns) );
		$lcnt = scalar @lines;
		$albname = 0;
		$clkcnt = 0;
		$dirname = 0;
		my $dirnms = '';
		prt( "Got $lcnt lines ... from $sfil ...\n" ) if ($dbg4);
		for ($i = 0; $i < $lcnt; $i++) {
			$i2 = $i + 1;
			$line = $lines[$i];
			if ($line =~ /isAlbumName/) {
				$albname++;
				if ($i2 < $lcnt) {
					my $an = get_album_name($lines[$i2]);
					if (length($an)) {
						if ($an eq 'clicks') {
							$clkcnt++;
						} else {
							prt( "Album Name: $an ...[$sfil]...\n" ) if ($dbg5);
							$dirnms .= '|' if (length($dirnms));
							$dirnms .= $an;
							$dirname++;
						}
					} else {
						prt( "Album Name: $lines[$i2] [$an] ...\n" );
					}
				} else {
					prt( "WARNING: Ablum Name is last entry!\n" );
				}
			}
		}
		if ($dirname) {
			prt( "$sfil = Found $albname entries, $dirname DIRS ($clkcnt 'clicks') ...\n" ) if ($dbg7);
			prt( "$dirnms\n" ) if ($dbg7);
			$in_photodat[$j][1] = $dirnms;
			$in_photodat[$j][2] = $dirname;
			$withsubs++;
		} else {
			prt( "$sfil = NO DIRECTORIES\n" ) if ($dbg6);
		}
	} else {
		prt( "WARNING: Failed to OPEN [$fil] ...\n" );
	}
}
$fdcnt = scalar @in_photodat;
prt( "\nFrom $fdcnt photos.dat files got $withsubs with subfolders ...\n" );
my $mstcnt = 0;
for (my $j = 0; $j < $fdcnt; $j++) {
	my $fil = $in_photodat[$j][0];
	my $sfil = substr($fil, (length($in_folder) + 1));
	$sfil = substr($sfil, 0, (length($sfil) - 11)); # - /photos.dat
	my $dirnms = $in_photodat[$j][1];
	$dirname = $in_photodat[$j][2];
	if ($dirname) {
		my $ok = 'ok';
		if ( !mark_master($sfil) ) {
			$ok = "FAILED";
		}
		my $ok2 = '';
		my @arr = split(/\|/, $dirnms);
		my $acnt = scalar @arr;
		for (my $k = 0; $k < $acnt; $k++) {
			if ( !mark_as_sub( $arr[$k] ) ) {
				if (length($ok2)) {
					$ok2 .= " $arr[$k]";
				} else {
					$ok2 = "FAILED $arr[$k]";
				}
			}
		}
		if (length($ok2) == 0) {
			$ok2 = 'ok2';
		}
		$mstcnt++;
		my $mcnt = "$mstcnt";
		$mcnt = "0$mstcnt" if ($mstcnt < 10);
		prt( "$mcnt $sfil - with $dirname sub-folders ... $ok $ok2\n" );
		$dirnms =~ s/\|/, /g;
		prt( " $dirnms\n" );
	}
}

show_dir_marks();

close_log($outfile,1);
exit(0);

#########################
#### subs

sub show_dir_marks {
	my $cnt = scalar @in_dirs;
	prt( "\nShowing $cnt directories ...\n" );
	my @both = ();
	my @masters = ();
	my @subs = ();
	my @neither = ();
	my ($dfil, $dsfil, $mc, $sc, $bc, $nc);
	for (my $j = 0; $j < $cnt; $j++) {
		#                  0    1  2  3  4
		# push(@in_dirs, [$ff, '', 0, 0, 0]);
		$dfil = $in_dirs[$j][0];
		$dsfil = substr($dfil, (length($in_folder) + 1));
		$mc = $in_dirs[$j][3];
		$sc = $in_dirs[$j][4];
		prt( "$dsfil " );
		if ($mc && $sc) {
			prt( "BOTH $mc and $sc" );
			push(@both, $dsfil);
		} elsif ($mc) {
			prt( "MASTER $mc" );
			push(@masters, $dsfil);
		} elsif ($sc) {
			prt( "SUB $sc" );
			push(@subs, $dsfil);
		} else {
			prt( "NEITHER" );
			push(@neither, $dsfil);
		}
		prt( "\n" );
	}
	$bc = scalar @both;
	$mc = scalar @masters;
	$sc = scalar @subs;
	$nc = scalar @neither;
	prt( "Summary: Both $bc, Master $mc, Subs $sc, NEITHER $nc ...\n" );
	for (my $j = 0; $j < $nc; $j++) {
		prt( "$neither[$j] " );
	}
	prt( "\nList of $nc neither ...\n" );

}

sub mark_in_dirs {
	my ($inf, $off) = @_;
	my $cnt = scalar @in_dirs;
	prt( "Finding [$inf] in $cnt directories ...\n" ) if ($dbg8);
	for (my $j = 0; $j < $cnt; $j++) {
		my $dfil = $in_dirs[$j][0];
		my $dsfil = substr($dfil, (length($in_folder) + 1));
		if ($dsfil eq $inf) {
			my $c = $in_dirs[$j][$off];
			$c++;
			$in_dirs[$j][$off] = $c;
			return 1;
		} else {
			prt( "[$inf] ne [$dsfil] ...[$dfil]\n" ) if ($dbg8);
		}
	}
	return 0;
}

sub mark_master {
	my ($inf) = shift;
	#                  0    1  2  3  4
	# push(@in_dirs, [$ff, '', 0, 0, 0]);
	return (mark_in_dirs( $inf, 3 ));
}

sub mark_as_sub {
	my ($inf) = shift;
	#                  0    1  2  3  4
	# push(@in_dirs, [$ff, '', 0, 0, 0]);
	return (mark_in_dirs( $inf, 4 ));
}

# Album Name: s:19:"romatravellersforum"; ...
sub get_album_name {
	my ($txt) = shift;
	my $atxt = '';
	if ($txt =~ /s{1}:{1}\d+:{1}"{1}(.+)"{1};{1}/) {
		$atxt = $1;
	}
	return $atxt;
}

sub get_lines {
	my ($txt) = shift;
	my $len = length($txt);
	my $rt = '';
	my $ch = '';
	my $ccnt = 0;
	my $ltxt = '';
	for (my $k = 0; $k < $len; $k++) {
		$ch = substr($txt,$k,1);
		if ($ch eq '{') {
			$rt .= "\n";
			$ccnt = 0;
			push(@lines, $ltxt) if length($ltxt);
			$ltxt = '';
		}
		$rt .= $ch;
		$ltxt .= $ch;
		$ccnt++;
		if (($ch eq ';')&&($ccnt > 2)) {
			$rt .= "\n";
			$ccnt = 0;
			push(@lines, $ltxt) if length($ltxt);
			$ltxt = '';
		}
	}
	return $rt;
}

sub get_in_files {
	my ($inf) = shift;
	my $fcnt = 0;
	prt( "Processing $inf folder ...\n" ) if ($dbg3);
	if ( opendir( DIR, $inf ) ) {
		my @files = readdir(DIR);
		closedir DIR;
		foreach my $fil (@files) {
			if (($fil eq ".")||($fil eq "..")) {
				next;
			}
			my $ff = $inf."/".$fil;
			if ( -d $ff ) {
				if ( !( is_fp_folder($fil) || is_excluded_folder($fil) ) ) {
					push(@in_dirs, [$ff, '', 0, 0, 0]);
					get_in_files($ff);
				}
			} else {
				push(@in_files, [$ff, '', 0]);
			}
		}
	} else {
		prt( "WARNING: Failed to OPENDIR [$inf] ...\n" );
	}
}

#########################################################
# Passed an array of extensions,
# check if this is one of them?
#########################################################
sub is_my_ext {
	my ($fil, @exts) = @_;
	my ($nm,$dir,$ext) = fileparse( $fil, qr/\.[^.]*/ );
	foreach my $ex (@exts) {
		if (lc($ex) eq lc($ext)) {
			return 1;
		}
	}
	return 0;
}

sub is_dat_ext {
	my ($fil) = shift;
	my @dat_ext = qw( .dat );
	return is_my_ext($fil, @dat_ext);
}

sub is_photos_dat {
	my ($fil) = shift;
	my ($nm,$dir,$ext) = fileparse( $fil, qr/\.[^.]*/ );
	if (($nm eq 'photos')&&($ext eq '.dat')) {
		return 1;
	}
	return 0;
}

################################################
# ignore FRONTPAGE folders
################################################
sub is_fp_folder {
	my ($inf) = shift;
	foreach my $fil (@fpfolders) {
		if (lc($inf) eq lc($fil)) {
			return 1;
		}
	}
	return 0;
}

sub is_excluded_folder {
	my ($inf) = shift;
	foreach my $fil (@excluded) {
		if (lc($inf) eq lc($fil)) {
			return 1;
		}
	}
	return 0;
}

# eof
